# Добавление пакетов в основной репозиторий
---
- [Зависимости](#зависимости)
- [Как протестировать пакет](#как-протестировать-пакет)
- [Как отправить пакет](#как-отправить-пакет)
---


## Зависимости

- `go` (1.18+)
- `git`
    - `go install mvdan.cc/sh/v3/cmd/shfmt@latest`

---
## Как протестировать пакет

Чтобы протестировать пакеты, вы можете сначала создать [Скрипт сборки `alr.sh`](#alr-скрипт-сборки), а затем запустить команду `alr build` для сборки локального файла `alr.sh` в пакет для вашего дистрибутива (подробнее о команде `build` [здесь](./usage.md#build)). 

Затем вы можете установить этот файл обычным способом в свой дистрибутив и протестировать его.

## Как отправить пакет

Репозиторий ALR размещен на Github по адресу https://gitea.plemya-x.ru/xpamych/xpamych-alr-repo. В нем есть несколько каталогов, каждый из которых содержит файл `alr.sh`. Чтобы добавить пакет в репозиторий ALR, просто создайте PR с помощью [build script](./build-scripts.md) и поместите его в каталог с тем же именем, что и у пакета.

Как только ваш PR будет объединен, ALR откроет измененный репозиторий, и ваш пакет будет доступен для установки пользователям ALR.
