# Конфигурация

---

## Оглавление
- [Расположение файлов](#расположение-файлов)
- [Конфигурационный файл](#Конфигурационный-файл)
    - [rootCmd](#rootcmd)
    - [repo](#repo)

---

## Расположение файлов

| Путь | Описание 
| --:  | :--
| ~/.config/alr/alr.toml | Конфигурационный файл
| ~/.cache/alr/pkgs       | Здесь создаются и хранятся пакеты
| ~/.cache/alr/repo       | Репозитории git со всеми файлами `alr.sh`
|                          | Пример: `~/.cache/alr/repo/default/alr-git/alr.sh`

---

## Конфигурационный файл

### rootCmd

Поле "rootCmd" указывает, какую команду следует использовать для повышения привилегий. Значение по умолчанию - `sudo`.

### repo

Массив `repo` определяет, какие репозитории будут добавлены в ALR. У каждого репозитория должны быть имя и URL-адрес. В конфигурации репозиторий выглядит следующим образом:

```toml
[[repo]]
name = 'default'
url = 'https://gitflic.ru/project/xpamych/xpamych-alr-repo.git'
```

Репозиторий `defatult` добавляется по умолчанию. Может быть добавлено любое количество репозиториев.

---
